#!/bin/sh -e

path=$(pwd)

if [ -e /usr/bin/ctrl_bd ]; then
ret=`cat /usr/bin/ctrl_bd | grep "XILINX" | wc -l`
else
ret=0
fi

if [ $ret -eq 0 ];then
    echo "This firmware is for S9 XILINX!"
    return       
fi 

if [ ! -d /mnt/upgrade ];
then
	mkdir /mnt/upgrade
fi

flash_erase /dev/mtd0 0x0 0x100 >/dev/null 2>&1

if [ -e BOOT.bin ]; then
        flash_erase /dev/mtd0 0x0 0x80 >/dev/null 2>&1
        nandwrite -p -s 0x0 /dev/mtd0 ./BOOT.bin >/dev/null 2>&1
        rm -rf BOOT.bin
fi

if [ -e devicetree.dtb ]; then
        flash_erase /dev/mtd0 0x1020000 0x1 >/dev/null 2>&1
        nandwrite -p -s 0x1020000 /dev/mtd0 ./devicetree.dtb >/dev/null 2>&1
        rm devicetree.dtb
fi


if [ -e uImage ]; then 
        flash_erase /dev/mtd0 0x1100000 0x40 >/dev/null 2>&1
        nandwrite -p -s 0x1100000 /dev/mtd0 ./uImage >/dev/null 2>&1
        rm uImage
fi

if [ -e rootfs.jffs2 ]; then
        flash_erase /dev/mtd2 0x0 0x1E0 >/dev/null 2>&1
        nandwrite -p -s 0x0 /dev/mtd2 ./rootfs.jffs2 >/dev/null 2>&1
        rm rootfs.jffs2
fi

rm -rf *.tar.gz

sync
/sbin/reboot -f &



